package com.ruoyi.SafetyDeclaration.domain;

import java.util.ArrayList;
import java.util.List;

public class VoHistogramTable {
    private String name;
    private String type="bar";
    private List<Double> data;

    public VoHistogramTable(String name) {
        this.name = name;
        this.data = new ArrayList<>();
    }

    public void addData(int value) {
        this.data.add((double) value);
    }

    @Override
    public String toString() {
        return "VoHistogramTable{" +
                "name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", data=" + data +
                '}';
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<Double> getData() {
        return data;
    }

    public void setData(List<Double> data) {
        this.data = data;
    }
}
